Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate a client report

URL

GET https://api.complycube.com/v1/reports?clientId=:id

Generates a client PDF report.

Headers

Name
Type
Description

Authorization*

string

The API live or test key

Query parameters

Name
Type
Description

clientId*

string

The ID of the client.

Example request

curl -X GET https://api.complycube.com/v1/reports?clientId={:clientId} \
     -H 'Authorization: <YOUR_API_KEY>' 
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const report = await complycube.report.generate({ clientId: "CLIENT_ID" });
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

check = cc_api.reports.generate_client_report('CLIENT_ID')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$report = $ccapi->reports()->generate(['clientId' => 'CLIENT_ID']);
using ComplyCube.Net;
using ComplyCube.Net.Resources.Reports;

var reportApi = new ReportApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var reportRequest  = new ReportRequest { clientId = aClient.id }

var report = await reportApi.GenerateReport(reportRequest);

Example response

{
    "contentType": "images/jpg",
    "data": "<BASE64_DATA_CONTENT>"
}
{
    "type": "resource_not_found",
    "message": "Invalid client id '5eaecff4a675310007440c08'"
}